>From cdc7f770b5d6804ef7bf7a55e1ea49191f0f7f38 Mon Sep 17 00:00:00 2001
From: Tadas Slotkus <devtadas@gmail.com>
Date: Fri, 19 Aug 2011 16:26:34 +0300
Subject: [carFl mem 36/65] Globalisation pass 1: cli_classic.c

This commit breaks builds until "Globalistation pass 1: fixes".

It does nothing more, just passes globals structure across function
calls.

Signed-off-by: Tadas Slotkus <devtadas@gmail.com>
---
 cli_classic.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/cli_classic.c b/cli_classic.c
index 7317881..e9dec65 100644
--- a/cli_classic.c
+++ b/cli_classic.c
@@ -357,14 +357,14 @@ int cli_classic(globals *g, int argc, char *argv[])
 	/* FIXME: Delay calibration should happen in programmer code. */
 	myusec_calibrate_delay();
 
-	if (programmer_init(pparam)) {
+	if (programmer_init(g, pparam)) {
 		fprintf(stderr, "Error: Programmer initialization failed.\n");
 		ret = 1;
 		goto out_shutdown;
 	}
 
 	for (i = 0; i < ARRAY_SIZE(flashes); i++) {
-		startchip = probe_flash(startchip, &flashes[i], 0);
+		startchip = probe_flash(g, startchip, &flashes[i], 0);
 		if (startchip == -1)
 			break;
 		chipcount++;
@@ -389,7 +389,7 @@ int cli_classic(globals *g, int argc, char *argv[])
 		if (force && read_it && chip_to_probe) {
 			printf("Force read (-f -r -c) requested, pretending "
 			       "the chip is there:\n");
-			startchip = probe_flash(0, &flashes[0], 1);
+			startchip = probe_flash(g, 0, &flashes[0], 1);
 			if (startchip == -1) {
 				printf("Probing for flash chip '%s' failed.\n",
 				       chip_to_probe);
@@ -399,7 +399,7 @@ int cli_classic(globals *g, int argc, char *argv[])
 			printf("Please note that forced reads most likely "
 			       "contain garbage.\n");
 			uint8_t tmpbuf[BUF_SIZE];
-			return read_flash_to_file(&flashes[0], filename, tmpbuf);
+			return read_flash_to_file(g, &flashes[0], filename, tmpbuf);
 		}
 		ret = 1;
 		goto out_shutdown;
@@ -437,8 +437,8 @@ int cli_classic(globals *g, int argc, char *argv[])
 	 * done once we have a .reset function in struct flashchip.
 	 * Give the chip time to settle.
 	 */
-	programmer_delay(100000);
-	return doit(fill_flash, force, filename, read_it, write_it);
+	programmer_delay(g, 100000);
+	return doit(g, fill_flash, force, filename, read_it, write_it);
 
 out_shutdown:
 	programmer_shutdown();
-- 
1.7.6

